Skip to main content
GET
/
api
/
governance
/
routing-rules
/
{rule_id}
Error
A valid request URL is required to generate request examples
{
  "rule": {
    "scope": "global",
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "enabled": true,
    "cel_expression": "<string>",
    "targets": [
      {
        "weight": 0.5,
        "provider": "<string>",
        "model": "<string>",
        "key_id": "<string>"
      }
    ],
    "fallbacks": [
      "<string>"
    ],
    "scope_id": "<string>",
    "priority": 123,
    "query": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

rule_id
string
required

Routing rule ID

Response

Successful response

rule
object

CEL-based routing rule for intelligent request routing